package com.tuoheng.admin.enums.code.report;

/**
 *  查看巡检报告返回码
 *      模块代码：27（报告管理）
 *      接口代码：02 （查看巡检报告）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-12
 */
public enum QueryInspectionReportCodeEnum {

    QUERY_IS_FAILED(1270200, "查看巡检报告失败"),
    REPORT_ID_IS_NULL(1270201, "报告id为空"),
    REPORT_IS_NOT_EXIST(1270202, "报告不存在");

    /**
     * 编号
     */
    private int code;

    /**
     * 类型名称
     */
    private String msg;

    QueryInspectionReportCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }


}
